Bug 1479409 - incorrect value used in stock automation wait_for_completion
incorrect value used in stock automation wait_for_completion
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.7.0
All All
unspecified Severity medium
: GA
: 5.8.2
Assigned To: William Fitzgerald
Pavol Kotvan
: ZStream
Depends On: 1474748
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 10:16 EDT by Satoe Imaishi
Modified: 2017-10-23 20:36 EDT (History)
10 users (show)

See Also:
Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1474748
Environment:
Last Closed: 2017-10-23 20:36:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-08-08 10:18:25 EDT
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/d73d6ad139976ac1777706962f92b0091fd21897

commit d73d6ad139976ac1777706962f92b0091fd21897
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Jul 25 17:23:48 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Aug 8 10:16:56 2017 -0400

    Merge pull request #151 from billfitzgerald0120/fix_ae_retry_interval
    
    Changed ae_retry_limit = 1.minute to ae_retry_interval = 1.minute.
    (cherry picked from commit 0ee9bd467697aed5cc92f85f1210b4ceed73a87a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479409

 .../StateMachines/Job.class/__methods__/wait_for_completion.rb          | 2 +-
 .../Operations/StateMachines/Job.class/__methods__/wait_for_ip.rb       | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
Comment 3 CFME Bot 2017-08-08 10:18:31 EDT
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/c27ab4f5690cd0323ec28d4cd82097f3db08e5a2

commit c27ab4f5690cd0323ec28d4cd82097f3db08e5a2
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Jul 25 17:24:17 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Aug 8 10:18:05 2017 -0400

    Merge pull request #152 from billfitzgerald0120/fix_ae_retry_interval2
    
    Changes made in Wait_for_ip and Wait_for_completion methods in
    (cherry picked from commit 45e8e765994c7d95eaafdb942044659658d74020)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479409

 .../StateMachines/Job.class/__methods__/wait_for_completion.rb          | 2 +-
 .../Operations/StateMachines/Job.class/__methods__/wait_for_ip.rb       | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
Comment 6 William Fitzgerald 2017-09-21 11:12:38 EDT
Pavol,

As far as I can tell the fix hasn't been backported to the 5.8.2 release yet.  You will need to wait until this fix is backported to 5.8.2.  

When it is backported:

The normal retry logic will retry up to 100 times (if needed) and wait 1 minute in between retries.  If and how many retries depends on your what your playbook is doing and your appliance.

1. Build and run an ansible playbook service.
2. Look for 'retry' in the automation.log
3. Make sure that the process waits 1 minute after each retry to try again.

Let me know if you have any more questions ....

Billy
Comment 7 William Fitzgerald 2017-09-21 13:40:56 EDT
Pavol, 

  I checked and the fixes have been backported to 5.8.2.  You should be able to test this now, let me know if you have any questions or problems with it.

Billy
Comment 10 errata-xmlrpc 2017-10-23 20:36:38 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005

Note You need to log in before you can comment on or make changes to this bug.